;function UserInfo(){
};

//清除登录信息
UserInfo.clear = function(){
    plus.storage.removeItem('username');
    plus.storage.removeItem('password');
    plus.storage.removeItem('token');
}
//登录
UserInfo.login = function(username,pwd,callback,errorfun){
	mui.ajax(url + "/wit-web/login/alogin.do", {
        data:{userName:username,password:pwd},
        dataType:'json',
        type:'post',
        timeout:3000,
        success:function(data){
        	console.log(JSON.stringify(data));
            if(data.isSuccess){
    			plus.storage.setItem('username', data.data.userInfo.userName);
    			plus.storage.setItem('password', data.data.userInfo.password);
    			plus.storage.setItem('token', data.data.token);
    			
		    	if(typeof(callback)=='function'){
		    		callback();
		    	}
		    	return true;
            }
            else{
            	UserInfo.clear();
		    	if(typeof(callback)=='function'){
		    		errorfun(data);
		    	}
                return false;
            }
        },
        error:function(xhr,type,errorThrown){
			console.log(JSON.stringify(xhr));
            UserInfo.clear();
	    	if(typeof(errorfun)=='function'){
	    		errorfun(xhr);
	    	}
        }
  })
}

//检查是否包含自动登录的信息
UserInfo.auto_login = function(){
    var username = UserInfo.username();
    var pwd = UserInfo.password();
    if(!username || !pwd){
    	return false;
    }
    return true;
}

//检查是否已登录
UserInfo.has_login = function(){
    var username = UserInfo.username();
    var pwd = UserInfo.password();
    var token = UserInfo.token();
    if(!username || !pwd || !token){
        return false;
    }
    return true;
};

UserInfo.username = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('username');        
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('username');
        return;
    }
    plus.storage.setItem('username', arguments[0]);
};

UserInfo.password = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('password');        
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('password');
        return;
    }
    plus.storage.setItem('password', arguments[0]);
};

UserInfo.token = function(){
    if(arguments.length == 0){
        return plus.storage.getItem('token');       
    }
    if(arguments[0] === ''){
        plus.storage.removeItem('token');
        return;
    }
    plus.storage.setItem('token', arguments[0]);
};